Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055904 - missing file in autogen/autogen-devel
Summary: missing file in autogen/autogen-devel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: autogen
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 07:58 UTC by Nikos Mavrogiannopoulos
Modified: 2014-06-18 08:44 UTC (History)
3 users (show)

Fixed In Version: autogen-5.18-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:32:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 441231 None CLOSED missing file in autogen/autogen-devel 2018-06-08 10:47:08 UTC

Description Nikos Mavrogiannopoulos 2014-01-21 07:58:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.12) Gecko/20080129 Iceweasel/2.0.0.12 (Debian-2.0.0.12-2)

Description of problem:
Missing file in autogen/autogen-devel.
[This is a copy of #441231]

ls $(autoopts-config libsrc)
ls: cannot access /usr/share/autogen/libopts-31.0.6.tar.gz: No such file or directory


Version-Release number of selected component (if applicable):
autogen-libopts-devel-5.9.4-4.fc8

How reproducible:
Always


Steps to Reproduce:
1.ls $(autoopts-config libsrc)
2.
3.

Actual Results:
ls: cannot access /usr/share/autogen/libopts-31.0.6.tar.gz: No such file or directory

Expected Results:
ls $(autoopts-config libsrc)
/usr/share/autogen/libopts-31.0.6.tar.gz

For a developer this file is needed so that programs can be made to compile even in OSes that don't include libopts.

According to the autogen manual [0], this is done by retrieving the file shown with the following command:
$ autoopts-config libsrc
 /usr/share/autogen/libopts-40.0.15.tar.gz

However this file is not distributed. This makes a developer's life difficult as one has to download and install the original autogen tarball to get the bundled libopts sources.

[0]. see http://autogen.sourceforge.net/doc/Licensing.html#Licensing

Comment 4 Vladimir Benes 2014-02-12 15:02:51 UTC
repoquery -ql autogen |grep libopts
/usr/share/autogen/libopts-40.0.15.tar.gz

Comment 5 Ludek Smid 2014-06-13 11:32:35 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.